Skip to main content

API Overview

MageAds Real-Time Integration API enables programmatic ad delivery and tracking.

API Endpoint

All requests are made to:

POST https://delivery.mageads.com/products?pc={PLACEMENT_CODE}

Authentication

All requests require API key authentication:

Authorization: Bearer YOUR_API_KEY
Content-Type: application/json
Accept: application/json

Example in PHP:

$headers = [
'Content-Type: application/json',
'Authorization: Bearer ' . $apiKey
];

Response Codes

CodeDescription
200Success - Ads returned or empty response
404Authorization failed or invalid request

Timeout

Recommended timeout: 400-500ms to avoid impacting page load time.

API Features

  • Sponsored Products - Product listings in search and categories
  • Display Ads - Banner advertisements
  • Video Ads - Video content integration
  • Tracking - Conversion and event tracking
  • Real-time - Sub-500ms response times

Getting Started

  1. Obtain API credentials
  2. Implement user identification
  3. Integrate sponsored products
  4. Add tracking

Support

Email: info@mageads.com
Documentation Version: 1.4